#include <stdio.h>
#include "SAM.h"


int main(void)
{
	SAM_init(-1);
	printf("------------------------------------------\n");
	printf("|  Polynomial function of two variables  |\n");
	printf("|  with SAM                              |\n");
	printf("------------------------------------------\n");
	
	mp_st<122> x = 77617;
	mp_st<122> y = 33096;
	mp_st<122> res,t1,t2;
	
	res= sam_set_str(t1,"333.75") *y*y*y*y*y*y+x*x*(11*x*x*y*y-y*y*y*y*y*y-121*y*y*y*y-2)
	    +sam_set_str(t2,"5.5")*y*y*y*y*y*y*y*y+x/(2*y);

	cout << "res=" << res << endl;
	
	SAM_end();
	return 0;
}
